function display(obj)
% DISPLAY prints on the screen the physical properties of a step.
%
%   display(obj)
%       >> obj  = Step object
%
%   Olivier Pujol (2010)
%
%%
disp(sprintf('  Step name:                       %s', obj.name));
disp(sprintf('  Step position:                  %g nm', obj.x));
disp(sprintf('  Input potential energy:          %g eV', obj.Epe));
disp(sprintf('  Output potential energy:          %g eV', obj.Eps));
disp(sprintf('  Input wavevector:          (%g; %gi) nm^{-1}', real(obj.ke),imag(obj.ke)));
disp(sprintf('  Output wavevector:          (%g; %gi) nm^{-1}', real(obj.ks),imag(obj.ks)));
%
return;